Get workflow definition
GET
/api/admin/workflow/definitions/{id}
const url = 'https://example.com/api/admin/workflow/definitions/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://example.com/api/admin/workflow/definitions/example \ --header 'Authorization: Bearer <token>'Retrieves a workflow definition by ID
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
Definition ID
string
Responses
Section titled “Responses”Workflow definition
Media typeapplication/json
object
id
required
Unique workflow identifier
string
connectionId
required
References parent workflow connection
string
name
required
Human-readable workflow name
string
description
Workflow description
string
processDefinitionKey
External engine process definition key
string
initialTriggerUrl
URL to trigger the start of the workflow
string
Example
{ "id": "content-approval", "connectionId": "camunda-prod", "name": "Content Approval", "description": "Standard content approval workflow", "processDefinitionKey": "content-approval-v1", "initialTriggerUrl": "/webhook/12345678-abcd-efgh-ijkl-1234567890ab/start"}Definition not found
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}Internal server error
Media typeapplication/json
object
error
required
Indicates an error occurred
boolean
message
required
Error message describing what went wrong
string
Example
{ "error": true, "message": "Item not found"}